#
# spec file for package python-subgrab
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-subgrab
Version:        1.0.4
Release:        1.21
Summary:        Script to download subtitles for media files
License:        GPL-3.0-only
URL:            https://github.com/RafayGhafoor/Subscene-Subtitle-Grabber
Source:         https://files.pythonhosted.org/packages/source/s/subgrab/subgrab-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-beautifulsoup4
Requires:       python-lxml
Requires:       python-requests
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
%python_subpackages

%description
A script that allows to download subtitles for TV-Series, Anime and Movies from
subscene and other sites.

%prep
%setup -q -n subgrab-%{version}
rm -rf subgrab.egg-info
sed -i 's/bs4/beautifulsoup4/g' setup.py

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/subgrab
%python_expand %fdupes %{buildroot}/%{$python_sitelib}

%post
%python_install_alternative subgrab

%postun
%python_uninstall_alternative subgrab

%files %{python_files}
%python_alternative %{_bindir}/subgrab
%{python_sitelib}/*

%changelog
* Thu Jun 11 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.0.4:
  * No changelog.
- URL changed to a tarball.
* Tue May 19 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Nov 11 2017 aloisio@gmx.com
- Update to version 0.17
- Converted to single-spec
* Sat Sep 23 2017 aloisio@gmx.com
- Fixed source URL
* Sat Sep 16 2017 aloisio@gmx.com
- Initial package (0.16)
